AUDIT_SYSCALL_TO_NAME(3)

NAME
audit_syscall_to_name - Convert the numeric syscall value to the syscall name

SYNOPSIS
#include <libaudit.h>

const char *audit_syscall_to_name(int sc, int machine);

DESCRIPTION
audit_syscall_to_name() converts the numeric syscall value to the syscall name. sc is the numeric syscall value. machine is the enum value of the machine type defined in machine_t. machine can be obtained by calling audit_detect_machine(3).

RETURN VALUE
Returns NULL if an error occurs; otherwise, the return value is the syscall name.

SEE ALSO
audit_name_to_syscall(3), audit_detect_machine(3).

AUTHOR
Steve Grubb